%define SRC_VERSION 2.95.3
%define compat_verrel 2.95.3-ipl8mdk
%define gcc_branch 2.95
%define priority 10
%define psuffix -%gcc_branch

Name: gcc%gcc_branch
Version: 2.95.3
Release: alt5
Serial: 1
%define os_release %distribution, build %version-%release

Summary: The GNU Compiler Collection
License: GPL
Group: Development/C
Url: http://gcc.gnu.org/
Packager: GCC Development Team <gcc@packages.altlinux.org>

Source: ftp://ftp.gnu.org/pub/gnu/gcc/gcc-%SRC_VERSION.tar.bz2

#Patch1: gcc-2.95.2-2.95.3.diff.bz2
Patch2: gcc-2.95.3-crtstuff.patch
Patch3: gcc-2.95.2-bootstrap.patch
Patch4: gcc-2.95.2-cpp-macro-doc.patch
Patch5: gcc-2.95.2-default-arch.patch
Patch6: gcc-2.95.2-libstdc++-out-of-mem.patch
Patch7: gcc-2.95.2-libstdc++-wstring.patch
Patch8: gcc-2.95.2-libstdc++-bastring.patch
Patch9: gcc-2.95.2-cpp-dos-newlines.patch
Patch10: gcc-2.95.2-pointer-arith.patch
Patch11: gcc-2.95.2-iostream.patch
Patch12: gcc-2.95.2-install.patch

#Alpha
Patch20: gcc-2.95.2-emit-rtl.patch
Patch21: gcc-2.95.2-alpha-complex-float.patch

#Sparc
Patch25: gcc-2.95.2-builtin-apply.patch
Patch27: gcc-2.95.2-sparc32-rfi.patch

#PPC
Patch30: gcc-2.95.2-ppc-ice.patch
Patch31: gcc-2.95.2-ppc-descriptions.patch
Patch32: gcc-2.95.2-ppc-andrew-dwarf-eh.patch.bz2
Patch33: gcc-2.95.2-rs6000-codegen.patch

Patch41: gcc-2.95.3-owl-sparcv9-LONG_MAX.patch
Patch42: gcc-2.95.2-owl-texconfig-bug.patch
Patch43: gcc-2.95.2-owl-disable-dvi.patch

Patch51: gcc-alt-parser_namespace_fixes.patch

Provides: compat-gcc = %compat_verrel, gcc = %serial:%version-%release, %_bindir/%_target_platform-gcc, %_bindir/gcc
Obsoletes: compat-gcc = %version
PreReq: alternatives >= 0.0.6, gcc-common >= 1.3
Requires: binutils >= 2.10, glibc-devel, make >= 3.79.1, cpp%gcc_branch = %serial:%version-%release
BuildPreReq: rpm >= 3.0.6, make >= 3.79.1, binutils >= 2.10, flex
BuildPreReq: libalternatives-devel

%description
This package includes a compiler that can be to generate binaries that
will run on older systems. This package includes the C compiler and
required compiler libraries for those systems.

%package -n cpp%gcc_branch
Summary: The C Preprocessor for gcc backwards compatibility compiler
Group: Development/C
Provides: compat-cpp = %compat_verrel, cpp = %serial:%version-%release, gcc-cpp = %version, %_bindir/cpp
Obsoletes: compat-cpp = %version
PreReq: alternatives >= 0.0.6, gcc-common >= 1.3

%description -n cpp%gcc_branch
This package includes a preprocessor that can be used by gcc backwards
compatibility compiler to generated binaries that will run on older systems.

%package c++
Summary: C++ support for gcc backwards compatibility compiler
Group: Development/C++
Provides: compat-gcc-c++ = %compat_verrel, gcc-c++ = %serial:%version-%release, %_bindir/%_target_platform-g++, %_bindir/g++
Obsoletes: compat-gcc-c++ = %version
Requires: binutils >= 2.10, make >= 3.79.1, %name = %serial:%version-%release, libstdc++%gcc_branch-devel = %serial:%version-%release
PreReq: alternatives >= 0.0.6, gcc-common >= 1.3

%description c++
This package includes a compiler that can be used to generate binaries that
will run on older systems.

%package -n libstdc++%gcc_branch-devel
Summary: GNU C++ development library
Group: Development/C++
Provides: libstdc++-devel = %serial:%version-%release
PreReq: alternatives >= 0.0.6, gcc-common >= 1.3
Requires: libstdc++2.96-devel

%description -n libstdc++%gcc_branch-devel
This package is required for compilation with %name-c++.

%package -n libstdc++%gcc_branch-devel-static
Summary: GNU C++ development static library
Group: Development/C++
Provides: libstdc++-devel-static = %serial:%version-%release
PreReq: gcc-common >= 1.3
Requires: libstdc++%gcc_branch-devel = %serial:%version-%release
Requires: libstdc++2.96-devel-static

%description -n libstdc++%gcc_branch-devel-static
This package is required for static compilation with %name-c++.

%package g77
Summary: Fortran 77 support for gcc backwards compatibility compiler
Group: Development/Other
Provides: compat-gcc-g77 = %compat_verrel, gcc-g77 = %serial:%version-%release, %_bindir/%_target_platform-g77, %_bindir/g77
Obsoletes: compat-gcc-g77 = %version
Requires: binutils >= 2.10, make >= 3.79.1, %name = %version-%release
PreReq: alternatives >= 0.0.6, gcc-common >= 1.3

%description g77
This package includes a compiler that can be used to generated binaries that
will run on older systems. This package includes the Fortran 77 compiler and
libraries for those older systems.

%prep
%setup -q -n gcc-%SRC_VERSION
%setup -q -n gcc-%SRC_VERSION/compat -c -D -T
%setup -q -n gcc-%SRC_VERSION -D -T
#%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0
%patch11 -p1
%patch12 -p1

%ifarch alpha
%patch20 -p0
%patch21 -p1
%endif # alpha

%ifarch sparc
%patch25 -p0
%patch27 -p0
%endif # sparc

%ifarch ppc
%patch30 -p0
%patch31 -p0
%patch32 -p0
%patch33 -p0
%endif # ppc

%patch41 -p1
%patch42 -p1
%patch43 -p0

%patch51 -p0

# Set proper version & contact info.
perl -pi -e 's/\(((pre)?release|experimental)\)/\(%os_release\)/' gcc/version.c gcc/f/version.c
perl -pi -e 's,#define GCCBUGURL.*$,#define GCCBUGURL "<URL:http://bugs.altlinux.ru/>",' gcc/system.h

%build
# Remove bison-generated files - we want new versions...
find gcc -type f -name '*parse.y' |
	%__sed -e 's/\.y$/.c/g' |
	xargs -r %__rm -fv --

# Remove unneeded languages.
%__rm -f gcc/{ch,java,objc}/config-lang.in

%define buildtarget	build-%_target_platform
rm -rf %buildtarget
mkdir %buildtarget
pushd %buildtarget

export ac_cv_prog_TEXCONFIG=false
CFLAGS="$RPM_OPT_FLAGS" \
CXXFLAGS="$RPM_OPT_FLAGS" \
XCFLAGS="$RPM_OPT_FLAGS" \
TCFLAGS="$RPM_OPT_FLAGS" \
	../configure --prefix=%prefix --mandir=%_mandir --infodir=%_infodir \
	--enable-shared --enable-haifa \
%ifnarch sparc
	--enable-threads=posix \
%endif # !sparc
%ifarch ppc
	--with-cpp-install-dir=../lib \
%endif # ppc
	--host=%_target_platform --build=%_target_platform --target=%_target_platform

touch ../gcc/c-gperf.h

make bootstrap-lean

# Run the tests.
make -k check ||:

popd # %buildtarget

# Copy various doc files here and there
CopyDocs()
{
	c="`pwd`"
	d="$1"
	s="$(basename "$2")"
	mkdir -p "rpm.doc/$d"
	pushd "$2"
		for f in ChangeLog*; do
			cp -p "$f" "$c/rpm.doc/$d/$f.$s"
		done
	popd
}

CopyDocs stdc++ libio
CopyDocs stdc++ libstdc++
CopyDocs g77 gcc/f
CopyDocs g77 libf2c

find -type f -name \*ChangeLog\* -print0 |
	xargs -r0 bzip2 -9

%install
%__mkdir_p $RPM_BUILD_ROOT{%_bindir,%_mandir,%_infodir}

pushd %buildtarget

make install \
	prefix=$RPM_BUILD_ROOT%prefix \
	mandir=$RPM_BUILD_ROOT%_mandir \
	infodir=$RPM_BUILD_ROOT%_infodir

FULLVER="$($RPM_BUILD_ROOT%_bindir/%_target_platform-gcc --version |cut -d' ' -f1)"
FULLPATH=$(dirname $RPM_BUILD_ROOT%_libdir/gcc-lib/%_target_platform/$FULLVER/cc1)

# Rename binaries for update-alternatives.
pushd $RPM_BUILD_ROOT%_bindir
	for f in \
	  cpp \
	  gcc gcov protoize unprotoize \
	  g++ c++filt \
	  g77 \
	  ; do
		%__mv "$f" "%_target_platform-$f%psuffix"
		%__ln_s "%_target_platform-$f%psuffix" "$f%psuffix"
	done
	for f in cpp g++ g77 gcc; do
		%__ln_s "$f%psuffix" "compat-$f"
	done
	%__ln_s compat-gcc kgcc
popd

# Rename manpages for update-alternatives.
pushd $RPM_BUILD_ROOT%_man1dir
	mv cccp.1 cpp.1
	for f in cpp gcc g++ g77; do
		%__mv "$f".1 "$f"%psuffix.1
	done
popd

%__ln_s -f ../2.96/libstdc++.so $RPM_BUILD_ROOT%_libdir/gcc-lib/%_target_platform/%version/
%__ln_s -f ../2.96/libstdc++.a $RPM_BUILD_ROOT%_libdir/gcc-lib/%_target_platform/%version/

popd # %buildtarget

(cd $RPM_BUILD_ROOT%_libdir/gcc-lib/%_target_platform/%version/include &&
	/bin/ls | egrep -v '^(exception|g2c\.h|new(\.h)?|objc|typeinfo)$'
) | sed 's|^|%_libdir/gcc-lib/%_target_platform/%version/include/|' \
	>gcc-filelist

%set_compress_method bzip2

#install alternatives stuff
%__install -d $RPM_BUILD_ROOT%_altdir
cat >$RPM_BUILD_ROOT%_altdir/cpp%gcc_branch<<EOF
<group name="candidate">
    <option name="link">%_bindir/%_target_platform-cpp</option>
    <option name="real">%_bindir/%_target_platform-cpp%psuffix</option>
    <xinclude:include href="/etc/gcc-common/gcc-%gcc_branch" parse="xml" xmlns:xinclude="http://www.w3.org/2001/XInclude"/>
    <group name="slave">
        <option name="link">%_man1dir/cpp.1.bz2</option>
        <option name="real">%_man1dir/cpp%psuffix.1.bz2</option>
    </group>
</group>
EOF

cat >$RPM_BUILD_ROOT%_altdir/%name<<EOF
<group name="candidate">
    <option name="link">%_bindir/%_target_platform-gcc</option>
    <option name="real">%_bindir/%_target_platform-gcc%psuffix</option>
    <xinclude:include href="/etc/gcc-common/gcc-%gcc_branch" parse="xml" xmlns:xinclude="http://www.w3.org/2001/XInclude"/>
    <group name="slave">
        <option name="link">%_bindir/%_target_platform-gcov</option>
        <option name="real">%_bindir/%_target_platform-gcov%psuffix</option>
    </group>
    <group name="slave">
        <option name="link">%_bindir/%_target_platform-protoize</option>
        <option name="real">%_bindir/%_target_platform-protoize%psuffix</option>
    </group>
    <group name="slave">
        <option name="link">%_bindir/%_target_platform-unprotoize</option>
        <option name="real">%_bindir/%_target_platform-unprotoize%psuffix</option>
    </group>
    <group name="slave">
        <option name="link">%_man1dir/gcc.1.bz2</option>
        <option name="real">%_man1dir/gcc%psuffix.1.bz2</option>
    </group>
    <group name="slave">
        <option name="link">%_man1dir/gcov.1.bz2</option>
        <option name="real">%_man1dir/gcov%psuffix.1.bz2</option>
    </group>
</group>
EOF

cat >$RPM_BUILD_ROOT%_altdir/c++%gcc_branch<<EOF
<group name="candidate">
    <option name="link">%_bindir/%_target_platform-g++</option>
    <option name="real">%_bindir/%_target_platform-g++%psuffix</option>
    <xinclude:include href="/etc/gcc-common/gcc-%gcc_branch" parse="xml" xmlns:xinclude="http://www.w3.org/2001/XInclude"/>
    <group name="slave">
        <option name="link">%_bindir/%_target_platform-c++filt</option>
        <option name="real">%_bindir/%_target_platform-c++filt%psuffix</option>
    </group>
    <group name="slave">
        <option name="link">%_man1dir/g++.1.bz2</option>
        <option name="real">%_man1dir/g++%psuffix.1.bz2</option>
    </group>
</group>
EOF

cat >$RPM_BUILD_ROOT%_altdir/g77%gcc_branch<<EOF
<group name="candidate">
    <option name="link">%_bindir/%_target_platform-g77</option>
    <option name="real">%_bindir/%_target_platform-g77%psuffix</option>
    <xinclude:include href="/etc/gcc-common/gcc-%gcc_branch" parse="xml" xmlns:xinclude="http://www.w3.org/2001/XInclude"/>
    <group name="slave">
        <option name="link">%_man1dir/g77.1.bz2</option>
        <option name="real">%_man1dir/g77%psuffix.1.bz2</option>
    </group>
</group>
EOF

%post -n cpp%gcc_branch
%register_alternatives cpp%gcc_branch -- %_target_platform-cpp cpp.1.bz2

%triggerpostun -n cpp%gcc_branch -- compat-cpp
%register_alternatives cpp%gcc_branch -- %_target_platform-cpp cpp.1.bz2

%preun -n cpp%gcc_branch
%unregister_alternatives cpp%gcc_branch

%triggerun -n cpp%gcc_branch -- cpp2.95 < 1:2.95.3-alt2
[ $2 != 0 ] || exit 0
[ -x /usr/sbin/update-alternatives ] && /usr/sbin/update-alternatives --remove cpp %_bindir/cpp-2.95.3 ||:

%post
%register_alternatives %name -- %_target_platform-gcc %_target_platform-gcov %_target_platform-protoize %_target_platform-unprotoize gcc.1.bz2 gcov.1.bz2

%triggerpostun -- compat-gcc
%register_alternatives %name -- %_target_platform-gcc %_target_platform-gcov %_target_platform-protoize %_target_platform-unprotoize gcc.1.bz2 gcov.1.bz2

%preun
%unregister_alternatives %name

%triggerun -- gcc2.95 < 1:2.95.3-alt2
[ $2 != 0 ] || exit 0
[ -x /usr/sbin/update-alternatives ] && /usr/sbin/update-alternatives --remove gcc %_bindir/gcc-2.95.3 ||:
[ -x /usr/sbin/update-alternatives ] && /usr/sbin/update-alternatives --remove %_target_platform-gcc %_bindir/gcc-2.95.3 ||:

%post c++
%register_alternatives c++%gcc_branch -- %_target_platform-g++ %_target_platform-c++filt g++.1.bz2

%triggerpostun c++ -- compat-gcc-c++
%register_alternatives c++%gcc_branch -- %_target_platform-g++ %_target_platform-c++filt g++.1.bz2

%preun c++
%unregister_alternatives c++%gcc_branch

%triggerun c++ -- gcc2.95-c++ < 1:2.95.3-alt2
[ $2 != 0 ] || exit 0
[ -x /usr/sbin/update-alternatives ] && /usr/sbin/update-alternatives --remove g++ %_bindir/g++-2.95.3 ||:
[ -x /usr/sbin/update-alternatives ] && /usr/sbin/update-alternatives --remove %_target_platform-g++ %_bindir/g++-2.95.3 ||:

%post g77
%register_alternatives g77%gcc_branch -- %_target_platform-g77 g77.1.bz2

%triggerpostun g77 -- compat-gcc-g77
%register_alternatives g77%gcc_branch -- %_target_platform-g77 g77.1.bz2

%preun g77
%unregister_alternatives g77%gcc_branch

%triggerun g77 -- gcc2.95-g77 < 1:2.95.3-alt2
[ $2 != 0 ] || exit 0
[ -x /usr/sbin/update-alternatives ] && /usr/sbin/update-alternatives --remove g77 %_bindir/g77-2.95.3 ||:
[ -x /usr/sbin/update-alternatives ] && /usr/sbin/update-alternatives --remove %_target_platform-g77 %_bindir/g77-2.95.3 ||:

%files -n cpp%gcc_branch
%config %_altdir/cpp%gcc_branch
%_bindir/cpp%psuffix
%_bindir/%_target_platform-cpp%psuffix
%_man1dir/cpp%psuffix.1*
%dir %_libdir/gcc-lib/%_target_platform/%version
%_libdir/gcc-lib/%_target_platform/%version/*cpp*

%files -f gcc-filelist
%config %_altdir/%name
%_bindir/gcc%psuffix
%_bindir/gcov%psuffix
%_bindir/protoize%psuffix
%_bindir/unprotoize%psuffix
%_bindir/%_target_platform-gcc%psuffix
%_bindir/%_target_platform-gcov%psuffix
%_bindir/%_target_platform-protoize%psuffix
%_bindir/%_target_platform-unprotoize%psuffix
%_bindir/kgcc
%_bindir/compat-gcc
%dir %_libdir/gcc-lib/%_target_platform/%version
%dir %_libdir/gcc-lib/%_target_platform/%version/include
%_libdir/gcc-lib/%_target_platform/%version/cc1
%_libdir/gcc-lib/%_target_platform/%version/collect2
%_libdir/gcc-lib/%_target_platform/%version/crt*.o
%_libdir/gcc-lib/%_target_platform/%version/libgcc.a
%_libdir/gcc-lib/%_target_platform/%version/SYSCALLS.c.X
%_libdir/gcc-lib/%_target_platform/%version/specs
%_man1dir/gcc%psuffix.1*
%doc gcc/README* gcc/*ChangeLog*

%files c++
%config %_altdir/c++%gcc_branch
%_bindir/c++filt%psuffix
%_bindir/g++%psuffix
%_bindir/%_target_platform-g++%psuffix
%_bindir/%_target_platform-c++filt%psuffix
%_bindir/compat-g++
%dir %_libdir/gcc-lib/%_target_platform/%version
%dir %_libdir/gcc-lib/%_target_platform/%version/include
%_libdir/gcc-lib/%_target_platform/%version/cc1plus
%_libdir/gcc-lib/%_target_platform/%version/include/exception
%_libdir/gcc-lib/%_target_platform/%version/include/new*
%_libdir/gcc-lib/%_target_platform/%version/include/typeinfo
%_man1dir/g++%psuffix.1*
%doc gcc/cp/ChangeLog*

%files -n libstdc++%gcc_branch-devel
%dir %_libdir/gcc-lib/%_target_platform/%version
%_libdir/gcc-lib/%_target_platform/%version/libstdc++.so

%files -n libstdc++%gcc_branch-devel-static
%dir %_libdir/gcc-lib/%_target_platform/%version
%_libdir/gcc-lib/%_target_platform/%version/libstdc++.a

%files g77
%config %_altdir/g77%gcc_branch
%_bindir/g77%psuffix
%_bindir/%_target_platform-g77%psuffix
%_bindir/compat-g77
%dir %_libdir/gcc-lib/%_target_platform/%version
%dir %_libdir/gcc-lib/%_target_platform/%version/include
%_libdir/gcc-lib/%_target_platform/%version/f771
%_libdir/gcc-lib/%_target_platform/%version/libg2c.a
%_libdir/gcc-lib/%_target_platform/%version/include/g2c.h
%_man1dir/g77%psuffix.1*
%doc gcc/f/README rpm.doc/g77/*

%changelog
* Thu Oct 16 2003 Dmitry V. Levin <ldv@altlinux.org> 1:2.95.3-alt5
- Finalized alternatives transition.

* Wed Oct 15 2003 Stanislav Ievlev <inger@altlinux.ru> 1:2.95.3-alt4.2
- added alternatives to g++ manpage, require more recent gcc-common version

* Tue Oct 14 2003 Stanislav Ievlev <inger@altlinux.ru> 1:2.95.3-alt4.1
- new alternatives support

* Wed Oct 08 2003 Dmitry V. Levin <ldv@altlinux.org> 1:2.95.3-alt4
- gcc/c-lex.c, gcc/objc/objc-act.c, gcc/cp/pt.c:
  Fixed namespace conflict problem.

* Fri Nov 29 2002 Dmitry V. Levin <ldv@altlinux.org> 1:2.95.3-alt3
- Fixed typo in "%%triggerpostun c++".

* Mon Nov 18 2002 Dmitry V. Levin <ldv@altlinux.org> 1:2.95.3-alt2
- Changed suffix from -2.95.3 to -2.95 like in other gcc packages.
- Removed %_libdir/libstdc++.{so,a} (no longer needed).
- Migrated to new alternatives scheme.

* Mon Aug 19 2002 Dmitry V. Levin <ldv@altlinux.org> 2.95.3-alt1
- Renamed from compat-gcc to gcc2.95; added provides for compatibility.
- Dropped compat-libstdc++ from this package (it lives in separate package).
- c++: moved c++filt under update-alternatives control.

* Thu Apr 04 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.95.3-ipl7mdk
- Merged in Owl patches.
- Fixed build.
- Dropped chill, objc.

* Tue Jul 17 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.95.3-ipl6mdk
- Fixed requires.
- Fixed select-gcc script (updated target platform).

* Sun May 06 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.95.3-ipl5mdk
- Updated vendor information.

* Thu May 03 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.95.3-ipl4mdk
- Added %_bindir/cpp-%version file and fixed alternatives for it.
- Fixed select-gcc script.

* Wed Apr 11 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.95.3-ipl3mdk
- 2.95.3 final.
- Added crtstuff patch (jj) for new glibc-2.2.3

* Tue Mar 13 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.95.3-ipl2mdk
- Fixed update-alternatives entry for /usr/bin/cpp.
- Added select-gcc utility.
- Built for release.

* Fri Sep 29 2000 Dmitry V. Levin <ldv@fandra.org> 2.95.3-ipl1mdk
- Converted into compat-gcc and related packages.

* Fri Sep 22 2000 Dmitry V. Levin <ldv@fandra.org> 2.95.3-ipl1mdk
- Moved colorgcc and common files/dirs into outstanding packages.
- Attempt to support using of several versions simultaneously installed.
- Fixed interface with new libio (glibc >= 2.1.90).
- Added glibc detection code to support incompatible libio API changes.

* Sat Sep 16 2000 David BAUDENS <baudens@mandrakesoft.com> 2.95.2-12mdk
- Allow to build on PPC

* Thu Sep 14 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.95.2-11mdk
- use update-alternative (less costly that a checker script executed
  at each gcc invocation) : let's enforce Fred Right Way(tm) :-)

* Wed Aug 16 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.95.2-10mdk
- fix bad gcc-cpp script due to a bad rpm macros

* Tue Aug 08 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.95.2-9mdk
- fix colorgcc (chmousucks put 2 patch10)
- clean colorgcc (remove ugly post&preun scripts which brokes rpmdb &
  update)
- fix requires on perl version for ANSIColor.pm

* Sun Jul 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.95.2-8mdk
- Fix libgcj build.
- Add and merges debian patches.
- Try to cleanup a bit (i guess i should use the 2.96* spec)
- BM.

* Thu Apr 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.95.2-7mdk
- Remove Ansi package (included in perl 5.6).
- spec-helper tweaks.
- Update Requires:.

* Sun Apr  2 2000 Adam Lebsack <adam@mandrakesoft.com> 2.95.2-6mdk
- Added a ppc patch for libgcj
- Added some libstdc++-compat ppc libs
- Fixed cpp problem for ppc
- Fixed rpm packaging problem by bzipping some man and info files.
- Fixed colorgcc for perl 5.600

* Wed Mar 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.95.2-5mdk
- Fix groups.
- Cleanup specs.

* Thu Jan 13 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.95.2-4mdk
- applied debian patches for sparc.

* Sat Nov 27 1999 - Stefan van der Eijk <s.vandereijk@chello.nl>
- changed an instance of "i386" into "%_arch" in the .spec file
 (pixel's rebuild and small change)

* Sun Oct 31 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 2.95.2-2mdk
- Add arch AMD K6 in libstdc++-compat.tar.bz2

* Thu Oct 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.95.2.

* Tue Sep 28 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- add a stupid defattr

* Mon Sep 27 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- add k6 arch and a missing i486
- enable CFLAGS=RPM_OPT_FLAGS

* Wed Aug 18 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 2.95.1
- french locales
- debug bero spec (broken dependancies and update)

* Sun Aug 07 1999 Bernhard Rosenkraenzer <bero@ms-windows-2000.com>
- libstdc++ provides libstdc++.so.2.9

* Thu Aug 05 1999 Bernhard Rosenkraenzer <bero@ms-windows-2000.com>
- s/p// ;)

* Thu Aug 05 1999 Bernhard Rosenkraenzer <bero@ms-windows-2000.com>
- redo Mandrake adaptions (the RH contrib RPM mentioned below was quite
  obviously a modified version of the Mandrake pgcc 1.1.3 version)
- Add download location for colorgcc and ANSIColor

* Wed Aug 04 1999 Erhan Bilgili <erhan@altay.adm.deu.edu.tr>
- adapted the original gcc-2.95 spec to pgcc-2.95
- changed the spec file (my old pgcc spec file sucks !)
- added colorgcc by default

* Mon Aug 02 1999 Vu Hung Quan <binaire@videotron.ca>
- libgcj-2.95
* Sat Jul 31 1999 Vu Hung Quan <binaire@videotron.ca>
- gcc-2.95 ; adapted spec  from Arvind Sankar and redhat
   libgcj not integrated
